Skip to main content
GET
/
list-available-numbers
/list-available-numbers
curl --request GET \
  --url https://api.daily.co/v1/list-available-numbers \
  --header 'Authorization: Bearer <token>'
{
  "total_count": 6,
  "data": [
    {
      "phoneNumber": "+13058700061",
      "region": "FL"
    },
    {
      "phoneNumber": "+13058700062",
      "region": "FL"
    },
    {
      "phoneNumber": "+13058700063",
      "region": "FL"
    },
    {
      "phoneNumber": "+13058700064",
      "region": "FL"
    },
    {
      "phoneNumber": "+13058700065",
      "region": "FL"
    },
    {
      "phoneNumber": "+13058700066",
      "region": "FL"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

areacode
string

An areacode to search within.

region
string

A region or state to search within. Must be an ISO 3166-2 alpha-2 code, i.e. CA for California. Cannot be used in combination with areacode.

city
string

A specific City to search within. Example, New York. The string must be url encoded because it is a url parameter. Must be used in combination with region. Cannot be used in combination with areacode, starts_with, contains, or ends_with.

contains
string

A string of 3 to 7 digits that should appear somewhere in the number.

starts_with
string

A string of 3 to 7 digits that should be used as the start of a number. Cannot be used in combination with contains or ends_with.

ends_with
string

A string of 3 to 7 digits that should be used as the end of a number. Cannot be used in combination with starts_with or contains.

Response

200